package ibase.webitm.ejb.wms;

import java.rmi.RemoteException;
import ibase.webitm.ejb.ActionHandlerLocal;
import ibase.webitm.utility.ITMException;

@javax.ejb.Local
public interface AsnConfLocal extends ActionHandlerLocal
{
	public String confirm(String tranId, String xtraParams, String forcedFlag) throws RemoteException,ITMException;
	public String generatePurcReceipt(String tranId, String xtraParams, String forcedFlag) throws RemoteException,ITMException;
	public String generatePurcOrder(String tranId, String xtraParams, String forcedFlag) throws RemoteException,ITMException;
}
